Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface TInstanceSummary

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TInstanceSummaryImpl

    public interface TInstanceSummary

extends org.apache.xmlbeans.XmlObject

An XML tInstanceSummary(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

Nested Class Summary
`static class` | `TInstanceSummary.Factory` A factory class with static methods for creating instances of this type.
`static interface` | `TInstanceSummary.Instances` An XML instances(@http://www.apache.org/ode/pmapi/types/2006/08/02/).

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TFailuresInfo` | `addNewFailures()` Appends and returns a new empty "failures" element
`TInstanceSummary.Instances` | `addNewInstances()` Appends and returns a new empty value (as xml) as the last "instances" element
`TFailuresInfo` | `getFailures()` Gets the "failures" element
`TInstanceSummary.Instances[]` | `getInstancesArray()` Deprecated.
`TInstanceSummary.Instances` | `getInstancesArray(int i)` Gets ith "instances" element
`java.util.List<TInstanceSummary.Instances>` | `getInstancesList()` Gets a List of "instances" elements
`TInstanceSummary.Instances` | `insertNewInstances(int i)` Inserts and returns a new empty value (as xml) as the ith "instances" element
`boolean` | `isSetFailures()` True if has "failures" element
`void` | `removeInstances(int i)` Removes the ith "instances" element
`void` | `setFailures(TFailuresInfo failures)` Sets the "failures" element
`void` | `setInstancesArray(int i, TInstanceSummary.Instances instances)` Sets ith "instances" element
`void` | `setInstancesArray(TInstanceSummary.Instances[] instancesArray)` Sets array of all "instances" element
`int` | `sizeOfInstancesArray()` Returns number of "instances" element
`void` | `unsetFailures()` Unsets the "failures" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getInstancesList

    java.util.List<TInstanceSummary.Instances> getInstancesList()

  Gets a List of "instances" elements

### getInstancesArray

    TInstanceSummary.Instances[] getInstancesArray()

  Deprecated.

  Gets array of all "instances" elements

### getInstancesArray

    TInstanceSummary.Instances getInstancesArray(int i)

  Gets ith "instances" element

### sizeOfInstancesArray

    int sizeOfInstancesArray()

  Returns number of "instances" element

### setInstancesArray

    void setInstancesArray(TInstanceSummary.Instances[] instancesArray)

  Sets array of all "instances" element

### setInstancesArray

    void setInstancesArray(int i,
                           TInstanceSummary.Instances instances)

  Sets ith "instances" element

### insertNewInstances

    TInstanceSummary.Instances insertNewInstances(int i)

  Inserts and returns a new empty value (as xml) as the ith "instances" element

### addNewInstances

    TInstanceSummary.Instances addNewInstances()

  Appends and returns a new empty value (as xml) as the last "instances" element

### removeInstances

    void removeInstances(int i)

  Removes the ith "instances" element

### getFailures

    TFailuresInfo getFailures()

  Gets the "failures" element

### isSetFailures

    boolean isSetFailures()

  True if has "failures" element

### setFailures

    void setFailures(TFailuresInfo failures)

  Sets the "failures" element

### addNewFailures

    TFailuresInfo addNewFailures()

  Appends and returns a new empty "failures" element

### unsetFailures

    void unsetFailures()

  Unsets the "failures" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD